> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Board Shares

> List all shares for a board.



## OpenAPI

````yaml /openapi.json get /api/v1/boards/{board_id}/shares
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards/{board_id}/shares:
    get:
      tags:
        - boards
      summary: List Board Shares
      description: List all shares for a board.
      operationId: list_board_shares_api_v1_boards__board_id__shares_get
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BoardShareResponse'
                title: Response List Board Shares Api V1 Boards  Board Id  Shares Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    BoardShareResponse:
      description: Schema for board share response.
      properties:
        board_id:
          title: Board Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        permission:
          title: Permission
          type: string
        realm_id:
          title: Realm Id
          type: string
        shared_by:
          title: Shared By
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - id
        - board_id
        - user_id
        - realm_id
        - permission
        - shared_by
        - created_at
      title: BoardShareResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````